var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export const CalendarDay = (_a) => {
    var { date, day, events, onEventClick, onDayClick } = _a, props = __rest(_a, ["date", "day", "events", "onEventClick", "onDayClick"]);
    const today = new Date().toJSON().split("T")[0];
    return (_jsxs("div", { className: `calendar-day ${props.className ? props.className : ""}`, onClick: (divEvent) => {
            onDayClick(date);
            divEvent.stopPropagation();
        }, children: [today === date && _jsx("div", { className: "today-marker" }), _jsx("span", { className: `calendar-date`, children: day }), events && (_jsx("div", { className: "event-container", children: events.map((event) => {
                    if (date === event.date) {
                        return (_jsxs("div", { className: "unique-event", onClick: (divEvent) => {
                                onEventClick(event);
                                divEvent.stopPropagation();
                            }, children: [_jsx("div", { style: {
                                        width: ".5rem",
                                        height: ".5rem",
                                        backgroundColor: event.color,
                                        borderRadius: "100%",
                                    } }), _jsx("small", { className: "event", children: event.title })] }, event.id));
                    }
                }) }))] }));
};
