var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import React from "react";
import { v4 as uuid } from "uuid";
import { useCalendarContext } from "../context/calendar.context";
export const CalendarHeader = (_a) => {
    var { weekDays, nextButton, prevButton } = _a, props = __rest(_a, ["weekDays", "nextButton", "prevButton"]);
    const { onNavigate, monthName, year } = useCalendarContext();
    const getClonedButton = (button, direction) => {
        if (button) {
            return React.cloneElement(button, {
                onClick: () => {
                    onNavigate(direction);
                    if (button.props.onClick)
                        button.props.onClick();
                },
            });
        }
        return (_jsx("button", { onClick: () => onNavigate(direction), children: direction === "prev" ? "←" : "→" }));
    };
    return (_jsxs(_Fragment, { children: [_jsxs("div", { className: `calendar-header ${props.className ? props.className : ""}`, children: [getClonedButton(prevButton, "prev"), _jsx("span", { children: `${monthName} ${year}` }), getClonedButton(nextButton, "next")] }), _jsx("div", { className: "days-of-the-week", children: weekDays.map((weekDay) => (_jsx("span", { children: _jsx("p", { children: weekDay }) }, uuid()))) })] }));
};
