var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { useCalendarContext } from "../context/calendar.context";
import { CalendarDay } from "./day";
export const CalendarBody = (_a) => {
    var { events, cellStyle, onEventClick, onDayClick } = _a, props = __rest(_a, ["events", "cellStyle", "onEventClick", "onDayClick"]);
    const { previousMonthDays, daysInMonth, nextMonthDaysRendered } = useCalendarContext();
    return (_jsx("div", Object.assign({}, props, { className: `calendar-days ${props.className ? props.className : ""}`, children: [
            ...previousMonthDays,
            ...daysInMonth.map((day) => {
                return (_jsx(CalendarDay, { date: day.date, day: day.day, events: events, onEventClick: (event) => onEventClick && onEventClick(event), onDayClick: (date) => onDayClick && onDayClick(date), className: cellStyle }, day.date));
            }),
            ...nextMonthDaysRendered,
        ] })));
};
