var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import "../styles.css";
import { CalendarContext } from "../context/calendar.context";
import { useOpenCalendar } from "../hooks/use-open-calendar";
export const OpenCalendar = (_a) => {
    var { initialDate = new Date(), header, body } = _a, props = __rest(_a, ["initialDate", "header", "body"]);
    const { currentDate, daysInMonth, monthName, nextMonthDaysRendered, previousMonthDays, year, onNavigate, setCurrentDate, } = useOpenCalendar({ initialDate });
    return (_jsx(CalendarContext.Provider, { value: {
            currentDate,
            daysInMonth,
            monthName,
            nextMonthDaysRendered,
            previousMonthDays,
            year,
            onNavigate,
            setCurrentDate,
        }, children: _jsx("div", Object.assign({}, props, { className: `calendar-container ${props.className ? props.className : ""}`, children: _jsxs("div", { className: "calendar", children: [header, body] }) })) }));
};
