import { Dispatch, SetStateAction } from "react";
type CalendarContextProps = {
    currentDate: Date;
    daysInMonth: {
        day: number;
        date: string;
    }[];
    monthName: string;
    nextMonthDaysRendered: JSX.Element[];
    previousMonthDays: JSX.Element[];
    year: number;
    onNavigate: (direction: "prev" | "next") => void;
    setCurrentDate: Dispatch<SetStateAction<Date>>;
};
export declare const CalendarContext: import("react").Context<CalendarContextProps>;
export declare const useCalendarContext: () => CalendarContextProps;
export {};
