import { createContext, useContext } from "react";
export const CalendarContext = createContext({});
export const useCalendarContext = () => {
    const context = useContext(CalendarContext);
    if (!context) {
        throw new Error("*calendar must be on a client component or a <Calendar/> parent");
    }
    return context;
};
